Subject: Re: bug#54367: 29.0.50; error on "M-x list-package"

From: Richard Stallman <[email-masked]>
Date: Mon, 18 Apr 2022 23:47:30 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > I have kept the old config directory with me. It gave some error at
  > > launch. But when I deleted the "elpa" directory and reinstalled all the
  > > packages the problem is no longer reproducible. Probably something got
  > > corrupted in the "elpa" dir back then.

  > OK, I guess there's little chance that there's going to be anything
  > further actionable in this bug report, and I'm therefore closing it.  If
  > this problem happens again, please reopen this bug report (or just file
  > a new one).

If this sort of thing happens to someone again, I suggest renaming
away the possibly corrupt directory, rather than deleting it.
If regenerating it does fix the problem, you might learn something crucial
by comparing the old and new directories.